<?php
	class systemSESSION {
		public function __construct() {
			session_start();
		}
		
		public function appendSession($mSessionIdentifier, $mSessionValue) {
			$_SESSION[$mSessionIdentifier] = $mSessionValue;
		}
		
		public function loadSession($mSessionIdentifier) {
			return $this->aliveSession($mSessionIdentifier) ? $_SESSION[$mSessionIdentifier] : null;
		}
		
		public function aliveSession($mSessionIdentifier) {
			return isset($_SESSION[$mSessionIdentifier]);
		}
		
		public function destroySession() {
			session_destroy();
		}
	}
?>